GuideUserAction (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.history.action
Interface GuideUserAction

All Known Implementing Classes:
  ComplexDecisionAction

    public interface GuideUserAction

Since:
  1.1
Author:
  Johan Hall

Method Summary
`void` | `addAction(ActionContainer[] actionContainers)`
`void` | `addAction(ArrayList<ActionContainer> actionContainers)`
`void` | `getAction(ActionContainer[] actionContainers)`
`void` | `getAction(ArrayList<ActionContainer> actionContainers)`
`GuideUserHistory` | `getGuideUserHistory()`
`void` | `getKBestLists(ArrayList<ScoredKBestList> kbestListContainers)`
`void` | `getKBestLists(ScoredKBestList[] kbestListContainers)`
`int` | `numberOfActions()`

Method Detail

### addAction

    void addAction(ArrayList<ActionContainer> actionContainers)
                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### addAction

    void addAction(ActionContainer[] actionContainers)
                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### getAction

    void getAction(ArrayList<ActionContainer> actionContainers)
                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### getAction

    void getAction(ActionContainer[] actionContainers)
                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### getKBestLists

    void getKBestLists(ArrayList<ScoredKBestList> kbestListContainers)
                       throws MaltChainedException

  Throws:
    `MaltChainedException`

### getKBestLists

    void getKBestLists(ScoredKBestList[] kbestListContainers)
                       throws MaltChainedException

  Throws:
    `MaltChainedException`

### numberOfActions

    int numberOfActions()

### getGuideUserHistory

    GuideUserHistory getGuideUserHistory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.